using Abp.Application.Services.Dto;
using Abp.AutoMapper;
using System;
using System.ComponentModel.DataAnnotations;

namespace MineTec.ProManager.Supplier.Dto
{
    [AutoMapFrom(typeof(Entitys.Supplier.Supplier))]
    public class SupplierDto : EntityDto<Guid>
    {
        /// <summary>
        /// 创建日期
        /// </summary>
        public DateTime? CreateTime { get; set; }
        /// <summary>
        /// 创建人ID
        /// </summary>
        [StringLength(50)]
        public string CreateUserID { get; set; }
        /// <summary>
        /// 创建人姓名
        /// </summary>
        [StringLength(50)]
        public string CreateUserName { get; set; }
        /// <summary>
        /// 修改日期
        /// </summary>
        public DateTime? UpdateTime { get; set; }
        /// <summary>
        /// 修改人ID
        /// </summary>
        [StringLength(50)]
        public string UpdateUserID { get; set; }
        /// <summary>
        /// 修改人名称
        /// </summary>
        [StringLength(50)]
        public string UpdateUserName { get; set; }

        /// <summary>
        /// 供应商代号
        /// </summary>
        [StringLength(50)]
        public string SupplierCode { get; set; }

        /// <summary>
        /// 供应商名称
        /// </summary>
        [StringLength(100)]
        public string SupplierName { get; set; }

        /// <summary>
        /// 主营业务
        /// </summary>
        [StringLength(100)]
        public string Mainbusiness { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        [StringLength(50)]
        public string Contacts { get; set; }

        /// <summary>
        ///供应货物/服务
        /// </summary>
        [StringLength(100)]
        public string Supplygoods_services { get; set; }

        /// <summary>
        ///价格（老）
        /// </summary>
        public decimal Price_old { get; set; }

        /// <summary>
        ///最新价格
        /// </summary>
        public decimal Price { get; set; }

        /// <summary>
        ///移动电话
        /// </summary>
        [StringLength(100)]
        public string Mobilephone { get; set; }

        /// <summary>
        ///固定电话
        /// </summary>
        [StringLength(100)]
        public string Fixedtelephone { get; set; }

        /// <summary>
        ///邮箱
        /// </summary>
        [StringLength(100)]
        public string Email { get; set; }

        /// <summary>
        ///地址
        /// </summary>
        [StringLength(100)]
        public string Address { get; set; }

        /// <summary>
        ///网站
        /// </summary>
        [StringLength(100)]
        public string Website { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [StringLength(300)]
        public string Remark { get; set; }
        /// <summary>
        ///是否删除：0 否, 1 是
        /// </summary>
        public int IsDelete { get; set; }

        public DateTime CreationTime { get; set; }
    }
}
